Subject: Re: [PATCH net-next 0/10] net: dsa: improve serdes integration

From: Andrew Lunn <[email-masked]>
Date: Fri, 6 Mar 2020 15:51:54 +0100

> What I have been wondering about is if it would make sense to have the
> ability to set CPU/DSA link settings from userspace. Currently the
> CPU and DSA ports do not correspond to any system interface, so this is
> impossible via ethtool. I have been thinking about how this could be
> done.

Hi Marek

There has been some discussion about this in the context of the new
netlink ethtool implementation. It seems to make sense to move some
parts of ethtool into devlink. devlink does has a representation of
CPU and DSA ports. So it could provide the --dump-registers and
--statistics options. And for DSA switches, it would probably just
work.

      Andrew